<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/04/2016 *
 * ===================                          Last change: 06/04/2016 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : init.php                                         *
 * -------------------------------------------------------------------- *
 * Short description : Initial stuff for all scripts                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Initiale Dinge fuer alle Scripte                 *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

/********************************************************************************
 * Please don't touch anything here. Instead set them again in config-local.php *
 ********************************************************************************/

// Proper function exists?
if (function_exists('date_default_timezone_set')) {
	// Set default timezone to Europe/Berlin (because I'm from Germany)
	@date_default_timezone_set('Europe/Berlin');
} // END - if

// CFG: ERROR-REPORTING
error_reporting(E_ALL | E_DEPRECATED | E_STRICT);

// Is the function there? (removed in PHP 5.4.0)
if (function_exists('import_request_variables')) {
	// CFG: REGISTER-GLOBALS
	@import_request_variables('');
} // END - if

// Detect path (without 'inc') and fix windozer paths
$path = str_replace(chr(92), '/', substr(dirname(__FILE__), 0, -3));

// Some very important function includes
foreach (array('config', 'wrapper', 'template', 'module', 'inc', 'http', 'general') as $inc) {
	include($path . 'inc/' . $inc . '-functions.php');
} // END - foreach

// Initialize application
initApplication($path);

// [EOF]
?>
