<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/11/2011 *
 * ===================                          Last change: 08/11/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : network-vcheck.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Payment check script for extension ext-network   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : VCheck Script fuer Erweiterung ext-network       *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

// Set module and output mode (raw)
$GLOBALS['__module']      = 'network-vcheck';
$GLOBALS['__output_mode'] = -1;

// Initialize application
require('inc/init.php');

// Set HTTP status to 500 (if ext-network is not found, but this script is called)
setHttpStatus('500 Internal Server Error');

// Set content type
setContentType('text/plain');

// Load header
loadPageHeader();

// Is the required extension installed?
if ((isExtensionInstalled('network')) && (countRequestGet() > 0)) {
	// It is installed, so handle the request
	handleNetworkPaymentCheckRequest();
} // END - if

// Load footer
loadPageFooter();

// [EOF]
?>
